### Function

# GdkPixbuf Pixbuf get_file_info_finish

since: 2.32

#### Declaration [src]

    GdkPixbufFormat*
    gdk_pixbuf_get_file_info_finish (
      GAsyncResult* async_result,
      gint* width,
      gint* height,
      GError** error
    )

#### Description [src]

Finishes an asynchronous pixbuf parsing operation started with gdk_pixbuf_get_file_info_async().

Available since: 2.32

#### Parameters

`async_result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the function.

`width`

  Type: `gint*`

  Return location for the width of the image, or `NULL`.

  The argument will be set by the function.

`height`

  Type: `gint*`

  Return location for the height of the image, or `NULL`.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GdkPixbufFormat`

A `GdkPixbufFormat` describing the image format of the file.

The data is owned by the called function.
The return value can be `NULL`.